Subject: Re: vfork failure?
From: [email-masked] (Andre Couture)

23 Jul 1997 17:48:59 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <199707230300.XAA27987@phldev1>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------456F748DD901BAA807435A41"
X-Authentication-Warning: internet: Host [198.53.230.150] claimed to be thunder.search-n-find.com
X-Mailer: Mozilla 4.01b6C [en] (X11; I; Linux 2.1.40 i686)
Original-To: Robert Mecklenburg <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

This is a multi-part message in MIME format.
--------------456F748DD901BAA807435A41
Content-Type: multipart/alternative; boundary="------------3B4A636A95EBAA97C84AC5FB"

--------------3B4A636A95EBAA97C84AC5FB
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Similar problem;

I have this 'C' prog that uses fork() and here is what I get
(attachement)

Any idea someone???

Thanks
Andre

Robert Mecklenburg wrote:

> I am having a problem with b18 (on pentium pro, NT4.0SP3):
>
>     The heap has been split, CYGWIN can't fork this process.
>     Increase the heap_chunk_size in the registry and try again.
>     make[1]: vfork: Not enough space
>
> This typically occurs in a "recursive" make and once the error occurs
> in a single make execution all subsequent make forks fail this way.  I
>
> grabbed Sergey's dll from coolview.tar.gz, but it appears to have no
> effect on the problem.
>
> Also, I'm not sure what registry entry the message refers to, so I
> haven't tried (re)setting heap_chunk_size.
>
> Any suggestions?
> --
> Robert Mecklenburg              Voice: 610-834-1010 x248
> Parametric Technology Corp.     FAX:   610-834-7652
> West Conshohocken, PA           Home:  215-413-4018
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

--
------------------------------------------------------------------------
Andre Couture
938934 Ontario Inc.
mailto:[email-masked]
http://www.search-n-find.com/

--------------3B4A636A95EBAA97C84AC5FB
Content-Type: text/html; charset=us-ascii
Content-Transfer-Encoding: 7bit

<HTML>
Similar problem;

<P>I have this 'C' prog that uses fork() and here is what I get (attachement)

<P>Any idea someone???

<P>Thanks
<BR>Andre

<P>Robert Mecklenburg wrote:
<BLOCKQUOTE TYPE=CITE>I am having a problem with b18 (on pentium pro, NT4.0SP3):

<P>&nbsp;&nbsp;&nbsp; The heap has been split, CYGWIN can't fork this process.
<BR>&nbsp;&nbsp;&nbsp; Increase the heap_chunk_size in the registry and
try again.
<BR>&nbsp;&nbsp;&nbsp; make[1]: vfork: Not enough space

<P>This typically occurs in a "recursive" make and once the error occurs
<BR>in a single make execution all subsequent make forks fail this way.&nbsp;
I
<BR>grabbed Sergey's dll from coolview.tar.gz, but it appears to have no
<BR>effect on the problem.

<P>Also, I'm not sure what registry entry the message refers to, so I
<BR>haven't tried (re)setting heap_chunk_size.

<P>Any suggestions?
<BR>--
<BR>Robert Mecklenburg&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Voice: 610-834-1010 x248
<BR>Parametric Technology Corp.&nbsp;&nbsp;&nbsp;&nbsp; FAX:&nbsp;&nbsp;
610-834-7652
<BR>West Conshohocken, PA&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Home:&nbsp; 215-413-4018 [email-masked]
<BR>-
<BR>For help on using this list (especially unsubscribing), send a message
to
<BR>"[email-masked]" with one line of text: "help".</BLOCKQUOTE>
&nbsp;
<BR>--&nbsp;
<HR><B><I><FONT COLOR="#008080"><FONT SIZE=+2>Andre Couture</FONT></FONT></I></B>
<BR><B><I><FONT COLOR="#4299A7">938934 Ontario Inc.</FONT></I></B>
<BR><FONT COLOR="#6666CC"><A HREF="mailto:[email-masked]">mailto:[email-masked]</A></FONT>
<BR><B><I><FONT COLOR="#6666CC"><A HREF="http://www.search-n-find.com/">http://www.search-n-find.com/</A></FONT></I></B>
<BR>&nbsp;</HTML>

--------------3B4A636A95EBAA97C84AC5FB--

--------------456F748DD901BAA807435A41
Content-Type: text/plain; charset=us-ascii; name="x.log"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline; filename="x.log"

(bencher.exe 1177) In cygwin_except_handler
(bencher.exe 1177) Exception trapped!
(bencher.exe 1177) exception C0000005 at 100305A2
(bencher.exe 1177) exception: ax 240F0A0 bx 24 cx 240F0A0 dx 25E20D4
(bencher.exe 1177) exception: si 24 di 0 bp 240F07C sp 240F060
(bencher.exe 1177) exception is: STATUS_ACCESS_VIOLATION
(bencher.exe 1177) Stack trace:
(bencher.exe 1177) frame 0: sp = 0x240EE94, pc = 0x1000CEC2
(bencher.exe 1177) frame 1: sp = 0x240EEB0, pc = 0x77F94492
(bencher.exe 1177) frame 2: sp = 0x240EED4, pc = 0x77F88E93
(bencher.exe 1177) frame 3: sp = 0x240EF60, pc = 0x77F76202
(bencher.exe 1177) frame 4: sp = 0x240F07C, pc = 0x10027891
(bencher.exe 1177) frame 5: sp = 0x240F0AC, pc = 0x4016BA
(bencher.exe 1177) frame 6: sp = 0x240F11C, pc = 0x40229E
(bencher.exe 1177) frame 7: sp = 0x240F178, pc = 0x1000C102
(bencher.exe 1177) frame 8: sp = 0x240FF94, pc = 0x1000C113
(bencher.exe 1177) frame 9: sp = 0x240FFA0, pc = 0x4027ED
(bencher.exe 1177) frame 10: sp = 0x240FFB0, pc = 0x40103B
(bencher.exe 1177) frame 11: sp = 0x240FFC0, pc = 0x77F1B26B
(bencher.exe 1177) frame 12: sp = 0x240FFF0, pc = 0x0
(bencher.exe 1177) End of stack trace

--------------456F748DD901BAA807435A41--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".